Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.8.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21267

Description

A Python error occurs running the Make Valid LWGEOM algorithm in QGIS 2.8.3 processing toolbox:

Errore durante l'esecuzione di codice Python:

Traceback (most recent call last):

  File "C:/Users/Angelo/.qgis2/python/plugins\\processing\\gui\\AlgorithmDialog.py", line 200, in accept

    if runalg(self.alg, self):

  File "C:/Users/Angelo/.qgis2/python/plugins\\processing\\gui\\AlgorithmExecutor.py", line 51, in runalg

    alg.execute(progress)

  File "C:/Users/Angelo/.qgis2/python/plugins\\processing\\core\\GeoAlgorithm.py", line 248, in execute

    str(e) + self.tr('\

See log for more details'))

UnicodeDecodeError: 'ascii' codec can't decode byte 0xe8 in position 19: ordinal not in range(128)

Versione Python:

2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

Versione di QGIS:

2.8.3-Wien Wien, 313a6bc

Percorso Python: ['C:/Users/Angelo/.qgis2/python/plugins\\\\processinglwgeomprovider',

'C:/Users/Angelo/.qgis2/python/plugins\\\\processing', 'C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python',

u'C:/Users/Angelo/.qgis2/python', u'C:/Users/Angelo/.qgis2/python/plugins', 'C:/PROGRA~1/QGISWI~1/apps/qgis-ltr/./python/plugins',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\matplotlib-1.3.1-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\

ose-1.3.3-py2.7.egg', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\tornado-4.0.1-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\backports.ssl_match_hostname-3.4.0.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\certifi-14.05.14-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\bin\\\\python27.zip', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\DLLs',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\plat-win',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\bin',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27', 'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\PIL',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Pythonwin',
'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\Shapely-1.2.18-py2.7-win-amd64.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlrd-0.9.2-py2.7.egg',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\Python27\\\\lib\\\\site-packages\\\\xlwt-0.7.5-py2.7.egg', u'C:/Users/Angelo/.qgis2//python',

'C:\\\\Users\\\\Angelo\\\\.qgis2\\\\python\\\\plugins\\\\mmqgis/forms',

'C:\\\\PROGRA~1\\\\QGISWI~1\\\\apps\\\\qgis-ltr\\\\python\\\\plugins\\\\fTools\\\\tools']

What could be the origin of the issue and its solution?

History

#1 - 2015-08-16 12:01 PM - Matthias Kuhn

- Status changed from Open to Feedback

This error normally refers to non-latin characters in paths, layer names etc.

If you have a layer name with umlauts, try to rename it.

... And I hope that what I just committed solves the issue so umlauts are also supported in the future ...

#2 - 2015-09-20 08:40 AM - Matthias Kuhn

- Status changed from Feedback to Closed
